const cacheKeys = {
	session: "session",
	mailVerification: "mail-verification",
	passwordReset: "password-reset",
	emailChange: "email-change",
	emailChangeCooldown: "email-change-cooldown",
} as const;

const cacheTTL = {
	passwordReset: 1 * 60 * 60, // 1h
	mailVerification: 3 * 60 * 60, // 3h
	emailChange: 3 * 60 * 60, // 3h
	emailChangeCooldown: 5 * 60, // 5m
} as const;

const generateCacheKey = {
	session: (userId: string, token: string) =>
		`${cacheKeys.session}:${userId}:${token}`,
	mailVerification: (token: string) => `${cacheKeys.mailVerification}:${token}`,
	passwordReset: (token: string) => `${cacheKeys.passwordReset}:${token}`,
	emailChange: (token: string) => `${cacheKeys.emailChange}:${token}`,
	emailChangeCooldown: (userId: string) =>
		`${cacheKeys.emailChangeCooldown}:${userId}`,
} as const;

export { cacheKeys, cacheTTL, generateCacheKey };
