const httpStatus = {
	OK: 200,
	CREATED: 201,
	BAD_REQUEST: 400,
	UNAUTHORIZED: 401,
	FORBIDDEN: 403,
	NOT_FOUND: 404,
	METHOD_NOT_ALLOWED: 405,
	NOT_ACCEPTABLE: 406,
	CONFLICT: 409,
	TOO_MANY_REQUESTS: 429,
	INTERNAL_SERVER_ERROR: 500,
	SERVICE_UNAVAILABLE: 503,
};

const errorMessages = {
	NOT_AUTHENTICATED: "Not authenticated",
	INVALID_CREDENTIALS: "Invalid credentials",
	USER_ALREADY_LOGGED_IN: "User already logged in",

	USER_NOT_FOUND: "User not found",
	USERNAME_ALREADY_EXISTS: "Username already exists",
	EMAIL_ALREADY_EXISTS: "Email already exists",

	MISSING_REQUIRED_FIELDS: "Missing required fields",
	INVALID_TOKEN: "Invalid or expired token",
	INVALID_TOKEN_FORMAT: "Invalid token format",

	INTERNAL_SERVER_ERROR: "Internal server error",
	DATABASE_QUERY_FAILED: "Database query failed",
	NOT_FOUND: "Not Found",
	METHOD_NOT_ALLOWED: "Method Not Allowed",

	EMAIL_SEND_FAILED: "Failed to send email. Please try again.",
	EMAIL_ALREADY_VERIFIED: "Email is already verified",

	PASSWORD_SAME_AS_CURRENT:
		"New password must be different from current password",
	CURRENT_PASSWORD_INCORRECT: "Current password is incorrect",
};

const successMessages = {
	LOGIN_SUCCESSFUL: "Login successful",
	LOGOUT_SUCCESSFUL: "Logged out successfully",
	EMAIL_VERIFIED: "Email verified successfully",
	PASSWORD_UPDATED: "Password updated successfully",
	USER_INFO_UPDATED: "User information updated successfully",
	PASSWORD_RESET_SENT:
		"If the email exists, a password reset link has been sent",
	REGISTRATION_SUCCESSFUL:
		"User registered successfully - please check your email to verify your account",
};

export { httpStatus, errorMessages, successMessages };
