CREATE TABLE IF NOT EXISTS guilds (
    id TEXT PRIMARY KEY,
    name TEXT,
    description TEXT,
    icon_url TEXT,
    banner_url TEXT,
    splash_url TEXT,

    owner_id TEXT,

    verification_level INT,
    default_message_notifications INT,

    system_channel_id TEXT,
    rules_channel_id TEXT,
    public_updates_channel_id TEXT,

    features SET<TEXT>,

    preferred_locale TEXT,

    created_at TIMESTAMP,
    updated_at TIMESTAMP
);

CREATE INDEX IF NOT EXISTS guilds_owner_idx ON guilds (owner_id);
CREATE INDEX IF NOT EXISTS guilds_created_idx ON guilds (created_at);
