import { emailRestrictions } from "#environment/constants";
import type { validationResult } from "#types/lib";

function isValidEmail(rawEmail: string): validationResult {
	const email = rawEmail.trim();

	if (!email) {
		return { valid: false, error: "Email is required" };
	}

	if (!emailRestrictions.regex.test(email)) {
		return { valid: false, error: "Invalid email address" };
	}

	return { valid: true };
}

export { emailRestrictions, isValidEmail };
