type CassandraConfig = {
	host: string;
	port: number;
	keyspace: string;
	username: string;
	password: string;
	datacenter: string;
	contactPoints: string[];
	authEnabled: boolean;
};

type SqlMigration = {
	id: string;
	name: string;
	upSql: string;
	downSql?: string | undefined;
};

type ConnectionOptions = {
	withKeyspace?: boolean;
	timeout?: number;
	logging?: boolean;
};

export type { CassandraConfig, SqlMigration, ConnectionOptions };
